<?php
	//llamada a la conexion con la BD y la sesión
	require'../conexion/conexion.php';
	require'../operaciones/fecha.php';//Llamada a la funcion fecha
	session_start();
	
	// si no reconoce el inicio de sesion redirecciona a la pagina principal index.php
	if(!isset($_SESSION["id_usuario"])){
		header("location: ../index.php");
	}//si reconoce la sesion continua con la pagina 
	
	//guarda los datos del usuario que inició sesión
	$idusuario = mysqli_real_escape_string($conexion,$_SESSION['id_usuario']);
	$tipodeusuario=mysqli_real_escape_string($conexion,$_SESSION['tipo_usuario']);

	//TIempo de sesiòn del usuario
	//Variable que devuelve la hora actual
	$ahora = time();
	
	//realiza una consulta a la base de datos para devolver el tipo de usuario que ha iniciado sesión
	$sql = "SELECT * FROM usuario AS u WHERE u.IdUsuario='$idusuario'";
	$result=$conexion->query($sql);
	$row=$result->fetch_assoc();
	$user=utf8_decode(utf8_encode($row['Nombres'])).' '.utf8_decode(utf8_encode($row['ApellidoP']));
	
	//Consulta a la BD para arrojar los datos de los usuarios del sistema
	$consulta="SELECT u.Nombres, u.ApellidoP, u.ApellidoM, u.Usuario, u.Password, t.Tipo FROM usuario AS u INNER JOIN tipousuario AS t ON t.IdTipo=u.IdTipo";
	$resulta=$conexion->query($consulta);
	$contador=0;
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title>Home</title>
		<link rel="shortcut icon" href="../images/logoitpl.png" />
		<meta charset="ISO-8859-1" http-equiv="Content-Type" content="text/html">
		
		<!--Llamada a la css-->
		<link rel="stylesheet" href="../css/style-estilo.css">
		<link rel="stylesheet" type="text/css" href="../css/style-table.css">
		<!--Llamada a la js-->
		<script type="text/javascript" src="../js/pass.js"></script>
	</head>
	<body onload="(saludar)">
		<div class="estructura">
		
		<!-- Cabecera header-->
		<header id="header-menu">
			<span class="logo-menu"><img src="../images/logoitpl.png" alt="logo" width="80" height="80"></span>
			<b id="header-menu-titulo" href="#"><span class="name-titulo">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;TECNOLÓGICO NACIONAL DE MÉXICO </span>
			<br><br><span  class="name-titulo" style="font-size:18px;">DEPARTAMENTO DE DESARROLLO ACADÉMICO	DEL I.T.P.</span></b>
			<span class="logo-submenu">
			
			<nav class="menu-horizontal">
			<ul >
				<li>Bienvenid@</li>
				<li style="color:#337ab7;"><b><?php echo ''.utf8_decode($row['Usuario']); ?></b></li>
				<li><a href="../conexion/logout.php"><img src="../images/salir-usuario.png" alt="Salir" width="25" height="30"></a></li>
			</ul>
			</nav>
			</span>
		</header>
		 
		<!-- nav---------------------------------------------------------->
		<nav id="nav"> 
			<ul class="sub-menu">
			<li class="active"><a href="home.php" id="activo"><b>Inicio</b></a></li>
			
			<!-- Verificamos a qué tiene acceso el usuario para mostrar solo los enlaces permitidos-->
			<?php if(($row['Altauser']==1) || ($row['ModUser']==1) || ($row['DelUser']==1) ) { ?>
			<li><a href="#"><b>Usuarios &nbsp;<img src="../images/abajo.png" alt="abajo" width="8" height="6"></b></a>
				<ul>
					<?php if($row['Altauser']==1 ) { ?>
					<li ><a href="usuario-nuevo.php">Nuevo</a></li><?php } ?>
                    <li><a href="index-usuario.php">Lista Usuarios</a></li>
                </ul>
			</li><?php } ?>
			
			<?php if(($row['AltaInst']==1) || ($row['ModInst']==1) || ($row['DelInst']==1) || ($row['BusInst']==1) || ($row['AltaAsist']==1) || ($row['ModAsist']==1) || ($row['BusAsist']==1) || ($row['AltaEval']==1) || ($row['ModEval']==1) || ($row['BusEval']==1)) { ?>
			<li><a href="#"><b>Instructor &nbsp;<img src="../images/abajo.png" alt="abajo" width="8" height="6"></b></a>
				<ul>
					<?php if(($row['AltaInst']==1) || ($row['ModInst']==1) || ($row['DelInst']==1) || ($row['BusInst']==1)) { ?>
					<li><a href="#">Instructor<img src="../images/derecha.png" alt="abajo" width="6" height="8" style="float:right;"></a>
						<ul>
							<?php if($row['AltaInst']==1) { ?>
							<li><a href="instructor-nuevo.php">Nuevo</a></li><?php } ?>
							<?php if(($row['ModInst']==1) || ($row['DelInst']==1) || ($row['BusInst']==1)) { ?>
							<li><a href="index-instructor.php">Lista Instructores</a></li><?php } ?>
						</ul>
					</li><?php } ?>
					
                </ul>
			</li><?php } ?>
			
			<?php if(($row['AltaActiv']==1) || ($row['ModActiv']==1) || ($row['DelActiv']==1) || ($row['BusActiv']==1) || ($row['Bus_LisActiv']==1) || ($row['Impre_LisActiv']==1) ) { ?>
			<li><a href="#"><b>Actividades &nbsp;<img src="../images/abajo.png" alt="abajo" width="8" height="6"></b></a>
				<ul>
                    <?php if(($row['AltaActiv']==1) || ($row['ModActiv']==1) || ($row['DelActiv']==1) || ($row['BusActiv']==1)) { ?>
					<li ><a href="#">Actividad<img src="../images/derecha.png" alt="abajo" width="6" height="8" style="float:right;"></a>
						<ul>
							<?php if($row['AltaActiv']==1) { ?>
							<li ><a href="nueva-actividad.php">Nueva</a></li><?php } ?> 
						  
							<?php if(($row['ModActiv']==1) || ($row['DelActiv']==1) || ($row['BusActiv']==1)) { ?>
							<li><a href="index-actividad.php">Lista Actividades</a></li><?php } ?>                    
						</ul>
					</li><?php } ?> 
					  
					<?php if(($row['Bus_LisActiv']==1) || ($row['Impre_LisActiv']==1)) { ?>
					  <li ><a href="actividad-horario.php">Horarios</a> </li><?php } ?>
                </ul>
			</li><?php } ?> 
			
			<?php if(($row['AltaAlum']==1) || ($row['ModAlum']==1) || ($row['DelAlum']==1) || ($row['BusAlum']==1) || ($row['Bus_LisActiv']==1) || ($row['Impre_LisActiv']==1) || ($row['Bus_InformPer']==1) || ($row['Impre_InformPer']==1)) { ?>
			<li><a href="#"><b>Alumnos &nbsp;<img src="../images/abajo.png" alt="abajo" width="8" height="6"></b></a>
				<ul>
					<?php if(($row['AltaAlum']==1) || ($row['ModAlum']==1) || ($row['DelAlum']==1) || ($row['BusAlum']==1)) { ?>
					<li><a href="#">Alumno<img src="../images/derecha.png" alt="abajo" width="6" height="8" style="float:right;"></a>
						<ul>
							<?php if($row['AltaAlum']==1) { ?>
							<li><a href="alumno-nuevo.php">Inscripción</a></li><?php } ?> 
							<?php if(($row['ModAlum']==1) || ($row['DelAlum']==1) || ($row['BusAlum']==1)) { ?>
							<li><a href="index-alumno.php">Por Actividad</a></li>
							<li><a href="buscar-alumno.php">Por Búsqueda</a></li><?php } ?>
						</ul>
					</li><?php } ?>
					<?php if(($row['Bus_LisActiv']==1) || ($row['Impre_LisActiv']==1)) { ?>
					<li ><a href="actividad-listas.php">Listas por Act.</a> </li><?php } ?>
					<?php if(($row['Bus_InformPer']==1) || ($row['Impre_InformPer']==1)) { ?>
					<li ><a href="index-informe-alumno.php">Cédulas</a> </li><?php } ?>
                </ul>
			</li><?php } ?>
			
			<?php if(($row['AltaBoleta']==1) || ($row['ModBoleta']==1) || ($row['BusBoleta']==1) || ($row['EntreBoleta']==1)) { ?>
			<li><a href="#"><b>Boletas &nbsp;<img src="../images/abajo.png" alt="abajo" width="8" height="6"></b></a>
				<ul>
					<?php if($row['AltaBoleta']==1) { ?>
					<li><a href="alumno-boleta-nueva.php">Alta de Boleta</a></li><?php } ?> 
					<?php if(($row['ModBoleta']==1) || ($row['BusBoleta']==1)) { ?>
					<li><a href="alumno-boleta.php">Lista de Boletas</a></li><?php } ?>
					<?php if($row['EntreBoleta']==1) { ?>
					<li><a href="entrega-boleta.php">Entrega de Boletas</a></li><?php } ?>
                </ul>
			</li><?php } ?>	
			
			<?php if(($row['Crea_Informes']==1) || ($row['ModInform']==1) || ($row['DelInform']==1)) { ?>
			<li><a href="#"><b>Informes &nbsp;<img src="../images/abajo.png" alt="abajo" width="8" height="6"></b></a>
				<ul>
                    <?php if(($row['Crea_Informes']==1) || ($row['ModInform']==1) || ($row['DelInform']==1)) { ?>
					<li ><a href="#">Eventos<img src="../images/derecha.png" alt="abajo" width="6" height="8" style="float:right;"></a>
						<ul>
							<?php if($row['Crea_Informes']==1) { ?>
							<li ><a href="informe-nuevo.php">Nuevo</a></li><?php } ?>
							<?php if(($row['ModInform']==1) || ($row['DelInform']==1)) { ?>
							<li><a href="index-informe.php">Lista Eventos</a></li><?php } ?>                  
						</ul>
					</li><?php } ?>
                </ul>
			</li><?php } ?>
			
			<?php if(($row['Alta_mater']==1) || ($row['ModMater']==1) || ($row['DelMater']==1) || ($row['BusMater']==1)) { ?>
			<li><a href="#"><b>Materiales &nbsp;<img src="../images/abajo.png" alt="abajo" width="8" height="6"></b></a>
				<ul>
					<?php if($row['Alta_mater']==1) { ?>
					<li ><a href="material-nuevo.php">Nuevo</a></li><?php } ?>
					<?php if(($row['ModMater']==1) || ($row['DelMater']==1) || ($row['BusMater']==1)) { ?>
					<li><a href="index-material.php">Materiales Registrados</a></li><?php } ?>
                </ul> 
			</li><?php } ?>
			
			<?php if($row['Presta_mater']==1) { ?>
			<li><a href="prestamo-nuevo.php"><b>Pr&eacute;stamo &nbsp;</b></a></li>
			<?php } ?>
			
			<?php if($row['VerEstad']==1) { ?>
			<li><a href="index-estadistica.php"><b>Estad&iacute;sticas &nbsp;</b></a></li>
			<?php } ?>
			
			<li><a href="#"><b>Formato &nbsp;<img src="../images/abajo.png" alt="abajo" width="8" height="6"></b></a>
				<ul>
					<li ><a href="alumno-boleta.php">Boleta</a></li>
					<li><a href="#">Listas<img src="../images/derecha.png" alt="abajo" width="6" height="8" style="float:right;"></a>
						<ul>
							<?php if(($row['ModActiv']==1) || ($row['DelActiv']==1) || ($row['BusActiv']==1)) { ?>
							<li><a href="index-actividad.php">Actividades</a></li><?php } ?>
							<?php if(($row['Bus_LisActiv']==1) || ($row['Impre_LisActiv']==1)) { ?>
							<li ><a href="actividad-listas.php">Asistencia</a> </li><?php } ?>
							<?php if(($row['Bus_InformPer']==1) || ($row['Impre_InformPer']==1)) { ?>
							<li ><a href="index-informe-alumno.php">Cédulas</a> </li><?php } ?>                
						</ul>
					</li>
					<?php if(($row['Bus_LisActiv']==1) || ($row['Impre_LisActiv']==1)) { ?>
					<li ><a href="actividad-horario.php">Horarios</a> </li><?php } ?>	
					<li ><a href="#">Informe<img src="../images/derecha.png" alt="abajo" width="6" height="8" style="float:right;"></a>
						<ul>
						<?php if(($row['ModInform']==1) || ($row['DelInform']==1)) { ?>
						<li><a href="index-informe.php">Eventos</a></li><?php } ?>
						</ul>
					</li>	
                </ul>
			</li>
			
			</ul>
		</nav>
		
		<!-- Contenido---------------------------------------------------------->
		<section class="contenido-principal">
			<article class="sub-titulo">
			<!-- Enlace a modificar datos del jefe de departamento y respaldo de la Base de datos -->
		<?php if($row['IdUsuario']==1){ ?>
			<br>
			<b>&nbsp;&nbsp;</b>
			<a href="modificar-jefe.php">
				<input name="jefe" style="font-size:12px;width:80px;height:20px;padding: 5px 10px;background-color:#FF7F00;border: 1px solid #f1f1f1;box-shadow: 0 1px 2px rgba(0, 0, 0, 0.5);background-image: -moz-linear-gradient(0% 100% 90deg, #BBBBBB, #FFFFFF);cursor:pointer;font-weight: bold;" value="Jefe de depto.">
			</a>
			<b>&nbsp;&nbsp;</b>
			<!-- Fecha del sistema -->
			<b style="float:right; font-size:12px; vertical-align:middle;padding:10px 5px;">
			<?php $fecha=fecha($ahora); echo ''.$fecha.''; ?></b><br>
			
			<form method="POST" action="../bd/respaldaBD.php" target="_blank">
				<input name="respaldo" style="margin-left:20px;margin-top:5px; font-size:12px;width:103px;height:27px;padding: 5px 10px;background-color:#FF7F00;border: 1px solid #f1f1f1;box-shadow: 0 1px 2px rgba(0, 0, 0, 0.5);background-image: -moz-linear-gradient(0% 100% 90deg, #BBBBBB, #FFFFFF);cursor:pointer;font-weight: bold;" type="submit" value="Respaldar BD">
			</form>
			<?php }?>
				<h1>
				<SCRIPT TYPE="text/javascript" LANGUAGE="JavaScript">
				
					<!-- 
					document.write(saludar());
					--> 
				</SCRIPT><?php echo ': '.$user;?><br>
				</h1>
			</article>
			
			<article class="contenido-agregar">
				<aside class="content-agregar" >
					<div id="tabla-conten" style="text-align:center;">
						<img src="../images/inicio.png" alt="home" width="800">
						<br><br>
					</div>
				</aside>
				<script  type="text/javascript">

				// NOTE: window.RTCPeerConnection is "not a constructor" in FF22/23
				var RTCPeerConnection = /*window.RTCPeerConnection ||*/ window.webkitRTCPeerConnection || window.mozRTCPeerConnection;

				if (RTCPeerConnection) (function () {
					var rtc = new RTCPeerConnection({iceServers:[]});
					if (1 || window.mozRTCPeerConnection) {      // FF [and now Chrome!] needs a channel/stream to proceed
						rtc.createDataChannel('', {reliable:false});
					};
					
					rtc.onicecandidate = function (evt) {
						// convert the candidate to SDP so we can run it through our general parser
						// see https://twitter.com/lancestout/status/525796175425720320 for details
						if (evt.candidate) grepSDP("a="+evt.candidate.candidate);
					};
					rtc.createOffer(function (offerDesc) {
						grepSDP(offerDesc.sdp);
						rtc.setLocalDescription(offerDesc);
					}, function (e) { console.warn("offer failed", e); });
					
					
					var addrs = Object.create(null);
					addrs["0.0.0.0"] = false;
					function updateDisplay(newAddr) {
						if (newAddr in addrs) return;
						else addrs[newAddr] = true;
						var displayAddrs = Object.keys(addrs).filter(function (k) { return addrs[k]; });
						document.getElementById('list').textContent = displayAddrs.join(" o quizás ") || "n/a";
					}
					
					function grepSDP(sdp) {
						var hosts = [];
						sdp.split('\r\n').forEach(function (line) { // c.f. http://tools.ietf.org/html/rfc4566#page-39
							if (~line.indexOf("a=candidate")) {     // http://tools.ietf.org/html/rfc4566#section-5.13
								var parts = line.split(' '),        // http://tools.ietf.org/html/rfc5245#section-15.1
									addr = parts[4],
									type = parts[7];
								if (type === 'host') updateDisplay(addr);
							} else if (~line.indexOf("c=")) {       // http://tools.ietf.org/html/rfc4566#section-5.7
								var parts = line.split(' '),
									addr = parts[2];
								updateDisplay(addr);
							}
						});
					}
				})(); else {
					document.getElementById('list').innerHTML = "<code>ifconfig | grep inet | tail -n1</code>";
					document.getElementById('list').nextSibling.textContent = "In Chrome and Firefox your IP should display automatically, by the power of WebRTCskull.";
				}
				</script><?php if($row['IdUsuario']==1){ ?>
				<h4 style="float:right; padding-right:30px;">Su IP es: <span style="color:blue;" id=list></span></h4> <?php }?>
			</article>
		</section>
		<footer id="pie">
			Instituto Tecnol&oacute;gico de Pinotepa | Av. Tecnol&oacute;gico S/N Col. Dispensario<br>
		Santiago Pinotepa Nacional, Oaxaca, Mx. C.P. 71600 Teléfonos. (954) 54 3 5305, 54 3 5306 y 54 3 5287.
		</footer>
		</div>
	</body>
</html>